package pl.edu.pjwstk.yaod.network.protocol;

/**
 * Klasa reprezentujaca zadanie wykonania zapytania, przesylane serwerowi.
 * 
 * @author M. Lentner, raist@ertel.com.pl
 * @version 1.0
 */

public class QueryRequest extends ClientRequest {
  private String m_query;

/**
 * Tworzy nowy obiekt zadania wykonania zapytania.
 * @param query tresc zapytania.
 * @return nowy obiekt zadania wykonania zapytania.
 */
  public QueryRequest(String query) {
    m_query = query;
  }

/**
 * Zwraca zapytanie Yaql.
 * @return tresc zapytania.
 */
  public String getQuery() {
    return m_query;
  }
}
