package pl.edu.pjwstk.yaod.network.protocol;

/**
 * Klasa reprezentujaca odpowiedz serwera na zadanie klienta.
 * 
 * @author M. Lentner, raist@ertel.com.pl
 * @version 1.0
 */
 
public class ServerReply extends NetMessage {
  private String m_message;

/**
 * Tworzy now obiekt odpowiedzi.
 * @param message komunikat dodatkowy (np. 'OK').
 * @return nowy obiekt odpowiedzi serwera.
 */
  public ServerReply(String message) {
    m_message = message;
  }

/**
 * Zwraca komunikat kontrolny odpowiedzi.
 * @return tresc komunikatu.
 */
  public String getMessage() {
    return m_message;
  }
}
