package pl.edu.pjwstk.yaod.system.buffers;

/**
 * Interfejs ktory musi byc implementowany przez elementy
 * majace byc buforowane (atomy, bloki).
 * 
 * @author M. Lentner, raist@ertel.com.pl
 * @version 1.0
 */

public interface Bufferable {
/**
 * Pozwala ustalic wartosc flagi modyfikacji (czy element zostal
 * zmodyfikowany).
 * @param wartosc flagi.
 */
  public void setModified(boolean val);

/**
 * Pozwala ustalic czy element zostal zmodyfikowany.
 * @return flaga modyfikacji (true - tak, false - nie).
 */
  public boolean isModified();
}
