package pl.edu.pjwstk.yaod.workbench.details;

import java.awt.*;

import javax.swing.*;
import javax.swing.tree.*;

public class DBDumpPanel extends JPanel {
  private GridBagLayout gridBagLayout1 = new GridBagLayout();
  private JScrollPane jScrollPane1 = new JScrollPane();
  private JTree jTree1 = new JTree();

  public DBDumpPanel() {
    try {
      jbInit();
    } catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.setLayout(gridBagLayout1);
    jScrollPane1.getViewport().add(jTree1, null);
    this.add(jScrollPane1, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(4, 4, 4, 4), 0, 0));
  }

  public void setDumpData(DefaultMutableTreeNode tree) {
    DefaultTreeModel dumpDataTreeModel = new DefaultTreeModel(tree);
    jTree1.setModel(dumpDataTreeModel);

    for (int i = 0; i < jTree1.getRowCount(); i++)
      jTree1.expandRow(i);
  }
}
