package pl.edu.pjwstk.yaod.workbench.details;

import java.awt.*;
import java.awt.event.*;

import java.util.*;

import javax.swing.*;
import javax.swing.border.*;
import javax.swing.tree.*;

public class DBManagerPanel extends JPanel  {
  private ImageIcon redIcon = new ImageIcon(DBManagerPanel.class.getResource("/images/trafficRed.gif"));
  private JTabbedPane jTabbedPane1 = new JTabbedPane();
  private JPanel jPanel1 = new JPanel();
  private GridBagLayout gridBagLayout1 = new GridBagLayout();
  private JPanel jPanel2 = new JPanel();
  private GridLayout gridLayout1 = new GridLayout();
  private JRadioButton jRadioButton1 = new JRadioButton();
  private JRadioButton jRadioButton2 = new JRadioButton();
  private ButtonGroup group = new ButtonGroup();
  private JPanel jPanel3 = new JPanel();
  private GridBagLayout gridBagLayout2 = new GridBagLayout();
  private JButton jButton2 = new JButton();
  private JSplitPane jSplitPane1 = new JSplitPane();
  private JScrollPane jScrollPane2 = new JScrollPane();
  private JTextArea jTextArea2 = new JTextArea();
  private GridBagLayout gridBagLayout3 = new GridBagLayout();
  private JTabbedPane jTabbedPane2 = new JTabbedPane();
  private JLabel jLabel1 = new JLabel();
  private Vector actListeners = new Vector();
  private JPanel jPanel4 = new JPanel();
  private JScrollPane jScrollPane1 = new JScrollPane();
  private BorderLayout borderLayout1 = new BorderLayout();
  private JTextArea jTextArea1 = new JTextArea();
  private JPanel jPanel5 = new JPanel();
  private JPanel jPanel6 = new JPanel();
  private BorderLayout borderLayout2 = new BorderLayout();
  private BorderLayout borderLayout3 = new BorderLayout();
  private JScrollPane jScrollPane4 = new JScrollPane();
  private JTree jTree2 = new JTree();
  private JScrollPane jScrollPane3 = new JScrollPane();
  private JTree jTree1 = new JTree();

  public DBManagerPanel() {
    try {
      jbInit();
    } catch(Exception e) {
      e.printStackTrace();
    }
  }

  public void addActionListener(ActionListener lsnr) {
    actListeners.add(lsnr);
  }

  public String getQuery() {
    return jTextArea2.getText();
  }

  private void jbInit() throws Exception {
    this.setLayout(gridBagLayout3);
    this.setBackground(SystemColor.control);
    jTabbedPane1.setMinimumSize(new Dimension(74, 129));
    jTabbedPane1.setPreferredSize(new Dimension(74, 129));
    jPanel1.setLayout(gridBagLayout1);
    jPanel1.setBackground(SystemColor.control);
    jPanel2.setLayout(gridLayout1);
    gridLayout1.setColumns(1);
    gridLayout1.setRows(2);
    jRadioButton1.setText("Startup");
    jRadioButton2.setText("Shutdown");
    jPanel3.setLayout(gridBagLayout2);
    jButton2.setText("Execute");
    jButton2.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent ex) {
          for (Enumeration e = actListeners.elements(); e.hasMoreElements(); ) {
            ((ActionListener) e.nextElement()).actionPerformed(ex);
          }
        }
      });
    jSplitPane1.setOrientation(JSplitPane.VERTICAL_SPLIT);
    jScrollPane2.setPreferredSize(new Dimension(8, 80));
    jTabbedPane2.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
    jLabel1.setIcon(redIcon);
    jPanel4.setLayout(borderLayout1);
    jPanel4.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
    jTextArea1.setEditable(false);
    jPanel5.setLayout(borderLayout2);
    jPanel5.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
    jPanel5.setPreferredSize(new Dimension(12, 24));
    jPanel6.setLayout(borderLayout3);
    jPanel6.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
    jPanel6.setPreferredSize(new Dimension(12, 24));
    jScrollPane1.getViewport();
    jScrollPane1.getViewport();
    jPanel1.add(jPanel2, new GridBagConstraints(1, 0, 1, 1, 1.0, 0.0, GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(20, 10, 0, 0), 0, 0));
    jPanel1.add(jLabel1, new GridBagConstraints(0, 0, 1, 1, 0.0, 1.0, GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(20, 20, 0, 0), 0, 0));
//    jTabbedPane1.addTab("Configuration", jPanel1);
    jPanel3.add(jButton2, new GridBagConstraints(0, 2, 1, 1, 1.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(3, 5, 5, 5), 0, 0));
    jScrollPane2.getViewport().add(jTextArea2, null);
    jSplitPane1.add(jScrollPane2, JSplitPane.LEFT);
    jScrollPane1.getViewport().add(jTextArea1, null);
    jPanel4.add(jScrollPane1, BorderLayout.CENTER);
    jTabbedPane2.addTab("Query result", jPanel4);
    jScrollPane3.getViewport().add(jTree1, null);
    jPanel5.add(jScrollPane3, BorderLayout.CENTER);
    jTabbedPane2.addTab("Abstract Syntax Tree", jPanel5);
    jScrollPane4.getViewport().add(jTree2, null);
    jPanel6.add(jScrollPane4, BorderLayout.CENTER);
    jTabbedPane2.addTab("Environmental stack", jPanel6);
    jSplitPane1.add(jTabbedPane2, JSplitPane.RIGHT);
    jPanel3.add(jSplitPane1, new GridBagConstraints(0, 1, 1, 1, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(5, 5, 0, 5), 0, 0));
    group.add(jRadioButton1);
    group.add(jRadioButton2);
    jPanel2.add(jRadioButton1, null);
    jPanel2.add(jRadioButton2, null);
    this.add(jTabbedPane1, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(5, 5, 5, 5), 290, -13));
    jTree1.setModel(null);
    jTree2.setModel(null);
  }

  public void setQueryResult(String result) {
    this.jTextArea1.setText(result);
  }

  public void setAbstractSyntaxTree(DefaultMutableTreeNode tree) {
    DefaultTreeModel astContentTreeModel = new DefaultTreeModel(tree);
    jTree1.setModel(astContentTreeModel);

    for (int i = 0; i < jTree1.getRowCount(); i++)
      jTree1.expandRow(i);
  }

  public void setEnvironmentalStackTree(DefaultMutableTreeNode tree) {
    DefaultTreeModel envsContentTreeModel = new DefaultTreeModel(tree);
    jTree2.setModel(envsContentTreeModel);

    for (int i = 0; i < jTree2.getRowCount(); i++)
      jTree2.expandRow(i);
  }

  public void setConnected(boolean status) {
    if (status)
      jTabbedPane1.addTab("Queries", jPanel3);
    else
      jTabbedPane1.remove(jPanel3);
  }
}
