package pl.edu.pjwstk.yaod.workbench.dialogs;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import oracle.jdeveloper.layout.*;
import java.awt.GridBagConstraints;
import java.awt.Dimension;
import java.awt.Insets;

public class AboutDialog extends JDialog  {
  private JLabel jLabel1 = new JLabel();
  private ImageIcon yaodIcon = new ImageIcon(pl.edu.pjwstk.yaod.workbench.dialogs.AboutDialog.class.getResource("/images/about.gif"));
  private JButton jButton1 = new JButton();
  private GridBagLayout gridBagLayout1 = new GridBagLayout();

  public AboutDialog() {
    this(null, "", false);
  }

  public AboutDialog(Frame parent, String title, boolean modal) {
    super(parent, title, modal);
    try {
      jbInit();
    } catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.getContentPane().setLayout(gridBagLayout1);
    this.setTitle("About Yaod Workbench");
    this.getContentPane().setBackground(Color.white);
    this.setSize(new Dimension(292, 316));
    this.setModal(true);
    jLabel1.setIcon(yaodIcon);
    jButton1.setText("OK");
    jButton1.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
          jButton1_actionPerformed(e);
        }
      });
    this.getContentPane().add(jLabel1, new GridBagConstraints(0, 0, 1, 2, 0.0, 0.0, GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    this.getContentPane().add(jButton1, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(250, 15, 10, 23), 20, 0));
  }

  private void jButton1_actionPerformed(ActionEvent e) {
    this.hide();
  }
}