package pl.edu.pjwstk.yaod.workbench.dialogs;

import java.awt.*;
import java.awt.event.*;

import java.util.*;

import javax.swing.*;

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */

public class RegisterDBDialog extends JDialog {
  private GridBagLayout gridBagLayout1 = new GridBagLayout();
  private JTextField jTextField1 = new JTextField();
  private JLabel jLabel1 = new JLabel();
  private JTextField jTextField2 = new JTextField();
  private JLabel jLabel2 = new JLabel();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private Vector m_actionListeners = new Vector();

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  private RegisterDBDialog() {
    this(null, "", false);
  }

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  public RegisterDBDialog(Frame parent, String title, boolean modal) {
    super(parent, title, modal);
    try {
      jbInit();
    } catch(Exception e) {
      e.printStackTrace();
    }
  }

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  private void jbInit() throws Exception {
    this.setSize(new Dimension(236, 143));
    this.getContentPane().setLayout(gridBagLayout1);
    this.setModal(true);
    this.setTitle("Registering a new database ...");
    jTextField1.setMargin(new Insets(2, 2, 2, 2));
    jLabel1.setText("Host");
    jTextField2.setMargin(new Insets(2, 2, 2, 2));
    jLabel2.setText("Port");
    jButton1.setText("Register");
    jButton1.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
          jButton1_actionPerformed(e);
        }
      });
    jButton2.setText("Cancel");
    jButton2.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
          jButton2_actionPerformed(e);
        }
      });
    this.getContentPane().add(jTextField1, new GridBagConstraints(0, 0, 1, 1, 1.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(10, 5, 5, 5), 0, 0));
    this.getContentPane().add(jLabel1, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(10, 5, 5, 5), 0, 0));
    this.getContentPane().add(jTextField2, new GridBagConstraints(0, 1, 1, 1, 1.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0));
    this.getContentPane().add(jLabel2, new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0));
    this.getContentPane().add(jButton1, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(10, 5, 5, 5), 0, 0));
    this.getContentPane().add(jButton2, new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(10, 5, 5, 5), 0, 0));
  }

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  public void addActionListener(ActionListener e) {
    m_actionListeners.addElement(e);
  }

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  public String getHost() {
    return jTextField1.getText();
  }

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  public int getPort() {
    int port = 0;
    try {
      port = Integer.parseInt(jTextField2.getText());
    }
    catch (Exception e) {
    }
    return port;
  }

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  private void jButton1_actionPerformed(ActionEvent ev) {
    for (Enumeration e = m_actionListeners.elements(); e.hasMoreElements(); ) {
      ((ActionListener) e.nextElement()).actionPerformed(new ActionEvent(this, 0, "registerdb"));
    }
    this.hide();
  }

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  private void jButton2_actionPerformed(ActionEvent e) {
    this.hide();
  }
}
