package pl.edu.pjwstk.yaod.workbench.nodes;

import java.util.*;

import javax.swing.*;

import pl.edu.pjwstk.yaod.workbench.*;
import pl.edu.pjwstk.yaod.workbench.details.*;

public class SystemNode extends AbstractWorkbenchNode {
  private JPanel m_detailsPanel;
  private ImageIcon m_icon = new ImageIcon(SystemNode.class.getResource("/images/system.gif"));
  private JTree m_tree;

  public SystemNode(JTree tree, SystemPanel panel) {
    m_detailsPanel = panel;
    m_tree = tree;
  }

  public JTree getTree() {
    return m_tree;
  }

  public JPanel getDetailsPanel() {
    return m_detailsPanel;
  }

  public String toString() {
    return "Yaod Database System";
  }

  public Icon getIcon() {
    return m_icon;
  }

  public JPopupMenu getPopupMenu() {
    return null;
  }
}
