package pl.edu.pjwstk.yaod.yaql.abstractsyntaxtree;

public interface AbstractSyntaxTreeTypes {

  public static final int TYPE_EXPRESSION                                       = 1;
  public static final int TYPE_EXPRESSION_UNARY                                 = 11;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC                   = 111;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_MINUS             = 1111;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_PLUS              = 1111;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_NEGATION          = 1112;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_DEREFERENCE       = 1113;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_SQUAREROOT        = 1114;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_ABSOLUTEVALUE     = 1115;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_SINE              = 1116;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_COSINE            = 1116;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_EXPONENT          = 1116;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_LOGARITHM         = 1116;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_COUNT             = 1117;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_EXISTS            = 1118;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_SUM               = 1119;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_MINIMUM           = 1120;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_MAXIMUM           = 1121;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_AVERAGE           = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_SIGNUM            = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_STRUCT            = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_BAG               = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_SEQUENCE          = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_UNIQUE            = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_ASCENDING         = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_DESCENDING        = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_TOINTEGER         = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_TODOUBLE          = 1122;
  public static final int TYPE_EXPRESSION_UNARY_NONPARAMETRIC_TOSTRING          = 1122;
  public static final int TYPE_EXPRESSION_UNARY_PARAMETRIC                      = 115;
  public static final int TYPE_EXPRESSION_UNARY_PARAMETRIC_AS                   = 1151;
  public static final int TYPE_EXPRESSION_UNARY_PARAMETRIC_GROUPAS              = 1152;
  public static final int TYPE_EXPRESSION_BINARY                                = 12;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC                      = 121;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_PLUS                 = 1211;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_MINUS                = 1212;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_TIMES                = 1213;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_DIVIDE               = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_EQUAL                = 1215;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_NOTEQUAL             = 1216;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_GREATER              = 1217;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_GREATEREQUAL         = 1218;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_LOWER                = 1219;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_LOWEREQUAL           = 1221;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_CONJUNCTION          = 1222;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_DISJUNCTION          = 1223;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_POWER                = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_MODULO               = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_COMMA                = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_UNION                = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_INTERSECTION         = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_DIFFERENCE           = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_SYMMETRICDIFFERENCE  = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_INCLUSION            = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_COMPARE              = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_RANGE                = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_ASSIGN               = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_PLUSASSIGN           = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_MINUSASSIGN          = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_TIMESASSIGN          = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_DIVIDEASSIGN         = 1214;
  public static final int TYPE_EXPRESSION_BINARY_ALGEBRAIC_MODULOASSIGN         = 1214;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC                   = 125;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC_NAVIGATION        = 1251;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC_SELECTION         = 1252;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC_DEPENDENTJOIN     = 1253;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC_FORANY            = 1254;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC_FORALL            = 1255;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC_TRANSITIVECLOSURE = 1255;
  public static final int TYPE_EXPRESSION_BINARY_NONALGEBRAIC_SORTING           = 1255;
  public static final int TYPE_EXPRESSION_TERNARY                               = 1255;
  public static final int TYPE_EXPRESSION_TERNARY_CONDITION                     = 1255;
  public static final int TYPE_EXPRESSION_TERNARY_RANGE                         = 1255;
  public static final int TYPE_EXPRESSION_LITERAL                               = 13;
  public static final int TYPE_EXPRESSION_LITERAL_BOOLEAN                       = 131;
  public static final int TYPE_EXPRESSION_LITERAL_INTEGER                       = 132;
  public static final int TYPE_EXPRESSION_LITERAL_DOUBLE                        = 133;
  public static final int TYPE_EXPRESSION_LITERAL_STRING                        = 134;
  public static final int TYPE_EXPRESSION_IDENTIFIER                            = 14;
  public static final int TYPE_EXPRESSION_EMPTYSTRUCT                           = 14;
  public static final int TYPE_EXPRESSION_EMPTYBAG                              = 14;
  public static final int TYPE_EXPRESSION_EMPTYSEQUENCE                         = 14;
  public static final int TYPE_STATEMENTLIST                                    = 2;
  public static final int TYPE_STATEMENTLIST_LAST                               = 21;
  public static final int TYPE_STATEMENTLIST_PAIR                               = 22;
  public static final int TYPE_STATEMENT                                        = 3;
  public static final int TYPE_STATEMENT_EXPRESSION                             = 31;
  public static final int TYPE_STATEMENT_IF                                     = 32;
  public static final int TYPE_STATEMENT_IFELSE                                 = 32;
  public static final int TYPE_STATEMENT_FOREACH                                = 32;
  public static final int TYPE_STATEMENT_WHILE                                  = 33;
  public static final int TYPE_STATEMENT_DOWHILE                                = 33;
  public static final int TYPE_STATEMENT_PRINT                                  = 33;
  public static final int TYPE_STATEMENT_SHOW                                   = 33;
  public static final int TYPE_STATEMENT_BLOCK                                  = 33;
  public static final int TYPE_STATEMENT_EMPTYBLOCK                             = 33;
  public static final int TYPE_STATEMENT_ASSIGN                                 = 33;
  public static final int TYPE_STATEMENT_DELETE                                 = 33;
  public static final int TYPE_STATEMENT_EMPTY                                  = 33;
  public static final int TYPE_STATEMENT_PROCEDURE                              = 14;

}