package pl.edu.pjwstk.yaod.yaql.abstractsyntaxtree;

import pl.edu.pjwstk.yaod.yaql.visitors.*;

public class ActualParametersList extends AbstractSyntaxTree {
  public ActualParametersList() { }
  public Expression e;

  public ActualParametersList(Expression e) { 
    this.e = e; 
  }
  public String getTypeAsString() {
    return "TYPE_ACTUALPARAMETERS_LIST";
  }
  public String getSpellingAndPosition() {
    return "\\";
  }
  public void accept(Visitor v) throws EvalException {
//    v.visit(this);
  }
  public void show(String st) { 
    System.out.print(" [ " + getPreparedTypeAsString() + " ]\t");
    System.out.println(st + getSpellingAndPosition());
    e.show(st + "  "); 
  }

}