package pl.edu.pjwstk.yaod.atoms;

import pl.edu.pjwstk.yaod.objects.*;

/**
 * Interfejs deklarujacy metody, ktore musi implementowac
 * kazdy identyfikator atomu.
 * 
 * @author M. Lentner, raist@ertel.com.pl
 * @version 1.0
 */

public interface AtomID extends ObjectID {
/**
 * Zwraca klucz haszowania, potrzebny do wyszukania atomu o podanym
 * identyfikatorze w buforze obiektow.
 * @return wartosc klucza.
 */
  public int hashCode();
}
