package pl.edu.pjwstk.yaod.network.protocol;

import javax.swing.tree.*;

/**
 * Klasa reprezentuje obiekt odpowiedzi na zadanie wykonania
 * zrzutu zawartosci bazy danych. Zrzut przesylany jest jako
 * obiekt DefaultMutableTreeNode, ktory mozna nastepnie umiescic w JTtree.
 * 
 * @author M. Lentner, raist@ertel.com.pl
 * @version 1.0
 */

public class DumpReply extends ServerReply {
  private DefaultMutableTreeNode m_dump;

/**
 * 
 * @param paramName comments
 * @exception XxxxxxException if ...
 * @return comments
 */
  public DumpReply(DefaultMutableTreeNode dump) {
    super("");
    m_dump = dump;
  }

/**
 * Zwraca obiekt zawierajacy zrzut zawartosci skladu.
 * @return obiekt zawierajacy zrzut zawartosci skladu.
 */
  public DefaultMutableTreeNode getDump() {
    return m_dump;
  }
}
