package pl.edu.pjwstk.yaod.network.protocol.queryresult;

import java.util.Vector;

public abstract class ComplexResult extends Result {
  Vector results;
  public ComplexResult() {
    results = new Vector();
  }
  public ComplexResult(Vector v) {
    results = v;
  }
  public Result getResultAt(int i) {
  	return (Result)results.elementAt(i);
  }
  public Result removeResultAt(int i) {
  	return (Result)results.remove(i);
  }
  public int getSize() {
  	return results.size();
  }
	public Result addResult(Result result) {
		results.add(result);
    return this;
	}

  public String getResultAsString(String st) {
    String tmp = new String("");
    for (int i=0; i<getSize(); i++) {
      Result e = getResultAt(i);
      tmp += e.getResultAsString(st + "  ");
      if (e instanceof StructResult) tmp += "\n";
    }
    return tmp;
	}
  public String getResultAsXmlString(String st) {
    String tmp = new String("");
    for (int i=0; i<getSize(); i++) {
      Result e = getResultAt(i);
      if (this.getResultAt(i) instanceof BinderResult) {
        if (((BinderResult)this.getResultAt(i)).getName().equals("ATTRIBUTES") == false)
          tmp += e.getResultAsXmlString(st + "  ");
      } else
        tmp += e.getResultAsXmlString(st + "  ");
      if (e instanceof StructResult) tmp += "\n";
    }
    return tmp;
	}
}