package pl.edu.pjwstk.yaod.objects;

import pl.edu.pjwstk.yaod.atoms.*;

/**
 * Interfejs deklarujacy metody, ktore musi implementowac identyfikator
 * obiektow dowolnego skladu.
 * 
 * @author M. Lentner, raist@ertel.com.pl
 * @version 1.0
 */

public interface ObjectID {
/**
 * Zwraca identyfikator skladu (czesc oid)
 * @return identyfikator skladu.
 */
  public short getStoreID();
  
/**
 * Sprawdza czy dwa identyfikatory dotycza tego samego obiektu.
 * @return 
 */
  public boolean equals(Object par);
  
/**
 * Zwraca oid w czytelnej postaci, np. do wypisania na ekranie.
 * @return string zawierajacy oid.
 */
  public String toString();
}
