package pl.edu.pjwstk.yaod.store.javastore;

import pl.edu.pjwstk.yaod.atoms.*;
import pl.edu.pjwstk.yaod.system.*;
import pl.edu.pjwstk.yaod.store.*;
import pl.edu.pjwstk.yaod.store.defaultstore.blocks.*;

public class JavaStoreWrapper implements Wrappable {
  private JavaStore m_store;

  public JavaStoreWrapper(JavaStore store) {
    m_store = store;
  }

  public AtomID getEntry() {
    return m_store.getEntry();
  }

  public Atom retrieveAtom(AtomID ptr) throws NoSuchAtomException {
    return m_store.retrieveAtom((JavaAtomID)ptr);
  }

  public void deleteAtom(AtomID ptr) throws NoSuchAtomException {
  }

  public void updateAtom(Atom atm) throws BlockFreeSpaceException {
  }

  public void createAtom(Atom atm) throws BlockFreeSpaceException {
    m_store.createAtom(atm);
  }
}
