package pl.edu.pjwstk.yaod.util;

/**
 * Klasa zawierajaca wszystkie komunikaty systemu dotyczace bledow
 * (niestety, obecnei tylko wirtualnie).
 * 
 * @author M. Lentner, raist@ertel.com.pl
 * @version 1.0
 */

public class Errors  {
/**
 * Wyswietla blad na ekran.
 * @param num numer bledu.
 * @exception detail informacje szczegolowe nt bledu.
 */
  public static void printError(int num, String detail) {
    switch (num) {
      case 1 : System.out.println("*** YAOD-00001 - Boot error (" + detail + ")."); break;
      case 2 : System.out.println("*** YAOD-00002 - Data block error (" + detail + ")."); break;
      case 3 : System.out.println("*** YAOD-00003 - Net protocol error (" + detail + ")."); break;
    }
  }
}
