package pl.edu.pjwstk.yaod.workbench;

import java.awt.*;

import javax.swing.*;
import javax.swing.tree.*;

import pl.edu.pjwstk.yaod.workbench.nodes.*;

public class NodeRenderer extends DefaultTreeCellRenderer {
  public Component getTreeCellRendererComponent(
      JTree tree, Object value, boolean sel, boolean expanded,
      boolean leaf, int row, boolean hasFocus) {

    super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);

    AbstractWorkbenchNode node = (AbstractWorkbenchNode)value;

    this.setIcon(node.getIcon());

    return this;
  }

  private static DefaultTreeCellRenderer defRenderer = new DefaultTreeCellRenderer();
  public static Icon CLOSED_ICON = defRenderer.getDefaultClosedIcon();
  public static Icon OPEN_ICON = defRenderer.getDefaultOpenIcon();
}
