package pl.edu.pjwstk.yaod.workbench.nodes;

import java.util.*;

import javax.swing.*;
import javax.swing.tree.*;

import pl.edu.pjwstk.yaod.workbench.*;

public abstract class AbstractWorkbenchNode extends DefaultMutableTreeNode {
  private JPanel m_emptyPanel = new JPanel();
  private Vector m_nodeActionListeners = new Vector();

  public AbstractWorkbenchNode() {
  }

  public JPanel getDetailsPanel() {
    return m_emptyPanel;
  }

  public JTree getTree() {
    AbstractWorkbenchNode root = (AbstractWorkbenchNode) getRoot();

    return root.getTree();
  }

  public Icon getIcon() {
    return null;
  }

  public JPopupMenu getPopupMenu() {
    return null;
  }

  public void addNodeActionListener(NodeActionListener lsnr) {
    m_nodeActionListeners.add(lsnr);
  }

  protected Enumeration getNodeActionListeners() {
    return m_nodeActionListeners.elements();
  }
}
