package pl.edu.pjwstk.yaod.yaql.abstractsyntaxtree.terminals;

import pl.edu.pjwstk.yaod.yaql.abstractsyntaxtree.terminals.SourcePosition;
import java.io.*;

public abstract class Terminal implements Serializable {
  private SourcePosition position;
  private String spelling;

  public Terminal (String spelling, SourcePosition position) {
    this.position = position;
    this.spelling = spelling;
  }
  public SourcePosition getPosition() { return position;  }
  public String getSpelling()         { return spelling;  } 
}
